DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

The Toast is a UI component that displays pop-up notifications.

When you need to display a notification, call the notify(message, type, displayTime) method with values for the message, type, and displayTime properties passed as arguments.

You can specify one of the four predefined types of notifications, depending on the mood of the message:

  • 'info'
    A blue toast with a message bubble icon.

  • 'warning'
    A yellow toast with an exclamation mark icon.

  • 'error'
    A red toast with an X icon.

  • 'success'
    A green toast with a check mark icon.

In this demo, toggle check boxes to see the 'success' and 'error' notification types.

You can also customize the Toast appearance. Set the type property to 'custom' and use a contentTemplate. Refer to the following topic for more information: Customize the Content.

If you need to specify other Toast properties in addition to type and displayTime, call the notify(options, type, displayTime) method and pass an object as the argument. In this object, you can set any Toast property, such as shading, position, width, height, and others.

Backend API
$(() => { const toast = $('#toast').dxToast({ displayTime: 600 }).dxToast('instance'); const checkAvailable = function (data) { const type = data.value ? 'success' : 'error'; const productName = data.element.parent().find('.name').text(); const message = productName + (data.value ? ' is available' : ' is not available'); toast.option({ message, type }); toast.show(); }; $.each(products, (i, product) => { $('<li />').append( $('<img />').attr('alt', product.Name).attr('src', product.ImageSrc), $('<div />').attr('class', 'name').text(product.Name), $('<div />') .dxCheckBox({ text: 'Available', onValueChanged: checkAvailable, }), ).appendTo($('.products')); }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.5/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="product-list"> <div class="header">Product List</div> <ul class="products"></ul> <div id="toast"></div> </div> </div> </body> </html>
.header { font-size: 34px; text-align: center; } #product-list { padding: 10px; } #product-list ul { text-align: center; list-style-type: none; margin: 20px 0; } #product-list ul li { display: inline-block; width: 160px; margin: 10px; } #product-list ul li img { width: 100px; } .dx-toast-content { min-width: 300px; max-width: 400px; }
const products = [{ ID: 4, Name: 'SuperLED 50', Price: 1600, Current_Inventory: 77, Backorder: 0, Manufacturing: 55, Category: 'Televisions', ImageSrc: '../../../../images/products/4.png', }, { ID: 5, Name: 'SuperLED 42', Price: 1450, Current_Inventory: 445, Backorder: 0, Manufacturing: 0, Category: 'Televisions', ImageSrc: '../../../../images/products/5.png', }, { ID: 6, Name: 'SuperLCD 55', Price: 1350, Current_Inventory: 345, Backorder: 0, Manufacturing: 5, Category: 'Televisions', ImageSrc: '../../../../images/products/6.png', }, { ID: 7, Name: 'SuperLCD 42', Price: 1200, Current_Inventory: 210, Backorder: 0, Manufacturing: 20, Category: 'Televisions', ImageSrc: '../../../../images/products/7.png', }];

If you have technical questions, please create a support ticket in the DevExpress Support Center.
import React, { useCallback, useState } from 'react';
import { Toast } from 'devextreme-react/toast';
import { ProductItem } from './ProductItem.tsx';
import { products } from './data.ts';
function App() {
const [toastConfig, setToastConfig] = useState({
isVisible: false,
type: 'info',
message: '',
} as {
isVisible: boolean,
type: 'info' | 'error' | 'success',
message: string,
});
const checkAvailability = useCallback((e: { value: any; }, product: { Name: string | number; }) => {
const type = e.value ? 'success' : 'error';
const message = product.Name + (e.value ? ' is available' : ' is not available');
setToastConfig({
toastConfig,
isVisible: true,
type,
message,
});
}, [toastConfig, setToastConfig]);
const onHiding = useCallback(() => {
setToastConfig({
toastConfig,
isVisible: false,
});
}, [toastConfig, setToastConfig]);
const items = products.map((product) => (
<li key={product.ID}>
<ProductItem product={product} checkAvailability={checkAvailability} />
</li>
));
return (
<div id="product-list">
<div className="header">Product List</div>
<ul>{items}</ul>
<Toast
visible={toastConfig.isVisible}
message={toastConfig.message}
type={toastConfig.type}
onHiding={onHiding}
displayTime={600}
/>
</div>
);
}
export default App;
xxxxxxxxxx
import React, { useCallback, useState } from 'react';
import { Toast } from 'devextreme-react/toast';
import { ProductItem } from './ProductItem.js';
import { products } from './data.js';
function App() {
const [toastConfig, setToastConfig] = useState({
isVisible: false,
type: 'info',
message: '',
});
const checkAvailability = useCallback(
(e, product) => {
const type = e.value ? 'success' : 'error';
const message = product.Name + (e.value ? ' is available' : ' is not available');
setToastConfig({
toastConfig,
isVisible: true,
type,
message,
});
},
[toastConfig, setToastConfig],
);
const onHiding = useCallback(() => {
setToastConfig({
toastConfig,
isVisible: false,
});
}, [toastConfig, setToastConfig]);
const items = products.map((product) => (
<li key={product.ID}>
<ProductItem
product={product}
checkAvailability={checkAvailability}
/>
</li>
));
return (
<div id="product-list">
<div className="header">Product List</div>
<ul>{items}</ul>
<Toast
visible={toastConfig.isVisible}
message={toastConfig.message}
type={toastConfig.type}
onHiding={onHiding}
displayTime={600}
/>
</div>
);
}
export default App;
xxxxxxxxxx
import React, { useCallback } from 'react';
import { CheckBox } from 'devextreme-react/check-box';
interface ProductItemProps {
product: { ID: number; Name: string; Price: number; Current_Inventory: number; Backorder: number; Manufacturing: number; Category: string; ImageSrc: string; };
checkAvailability: any;
}
export function ProductItem(props: ProductItemProps) {
const onValueChanged = useCallback((e) => {
props.checkAvailability(e, props.product);
}, [props]);
return (
<React.Fragment>
<img alt={props.product.Name} src={props.product.ImageSrc} />
<div>{props.product.Name}</div>
<CheckBox
text="Available"
onValueChanged={onValueChanged}
/>
</React.Fragment>
);
}
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
xxxxxxxxxx
export const products = [{
ID: 4,
Name: 'SuperLED 50',
Price: 1600,
Current_Inventory: 77,
Backorder: 0,
Manufacturing: 55,
Category: 'Televisions',
ImageSrc: 'images/products/4.png',
}, {
ID: 5,
Name: 'SuperLED 42',
Price: 1450,
Current_Inventory: 445,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: 'images/products/5.png',
}, {
ID: 6,
Name: 'SuperLCD 55',
Price: 1350,
Current_Inventory: 345,
Backorder: 0,
Manufacturing: 5,
Category: 'Televisions',
ImageSrc: 'images/products/6.png',
}, {
ID: 7,
Name: 'SuperLCD 42',
Price: 1200,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 20,
Category: 'Televisions',
ImageSrc: 'images/products/7.png',
}];
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.6/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React, { useCallback } from 'react';
import { CheckBox } from 'devextreme-react/check-box';
export function ProductItem(props) {
const onValueChanged = useCallback(
(e) => {
props.checkAvailability(e, props.product);
},
[props],
);
return (
<React.Fragment>
<img
alt={props.product.Name}
src={props.product.ImageSrc}
/>
<div>{props.product.Name}</div>
<CheckBox
text="Available"
onValueChanged={onValueChanged}
/>
</React.Fragment>
);
}
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
export const products = [
{
ID: 4,
Name: 'SuperLED 50',
Price: 1600,
Current_Inventory: 77,
Backorder: 0,
Manufacturing: 55,
Category: 'Televisions',
ImageSrc: 'images/products/4.png',
},
{
ID: 5,
Name: 'SuperLED 42',
Price: 1450,
Current_Inventory: 445,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: 'images/products/5.png',
},
{
ID: 6,
Name: 'SuperLCD 55',
Price: 1350,
Current_Inventory: 345,
Backorder: 0,
Manufacturing: 5,
Category: 'Televisions',
ImageSrc: 'images/products/6.png',
},
{
ID: 7,
Name: 'SuperLCD 42',
Price: 1200,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 20,
Category: 'Televisions',
ImageSrc: 'images/products/7.png',
},
];
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
.header {
font-size: 34px;
text-align: center;
}
#product-list {
padding: 10px;
}
#product-list ul {
text-align: center;
list-style-type: none;
margin: 20px 0;
}
#product-list ul li {
display: inline-block;
width: 160px;
margin: 10px;
}
#product-list ul li img {
width: 100px;
}
.dx-toast-content {
min-width: 300px;
max-width: 400px;
}
You can specify one of the four predefined types of notifications, depending on the mood of the message:
-
'info'
A blue toast with a message bubble icon. -
'warning'
A yellow toast with an exclamation mark icon. -
'error'
A red toast with an X icon. -
'success'
A green toast with a check mark icon.
In this demo, toggle check boxes to see the 'success' and 'error' notification types.
You can also customize the Toast appearance. Set the type property to 'custom' and use a contentTemplate. Refer to the following topic for more information: Customize the Content.
If you need to specify other Toast properties in addition to type and displayTime, call the notify(options, type, displayTime) method and pass an object as the argument. In this object, you can set any Toast property, such as shading, position, width, height, and others.

<template>
<div id="toast">
<h1>Product List</h1>
<ul>
<ProductItem
v-for="product in products"
:key="product.ID"
:product="product"
/>
</ul>
</div>
</template>
<script>
import { products } from './data.js';
import ProductItem from './ProductItem.vue';
export default {
components: {
ProductItem
},
data() {
return {
products
};
}
};
</script>
<style>
#toast {
padding: 10px;
}
#toast ul {
text-align: center;
list-style-type: none;
margin: 20px 0;
}
#toast ul li {
display: inline-block;
width: 160px;
margin: 10px;
}
#toast ul li img {
width: 100px;
}
.dx-toast-content {
min-width: 300px;
max-width: 400px;
}
</style>
<template>
<li>
<img :src="product.ImageSrc"><br>
<div id="name">{{ product.Name }}</div>
<DxCheckBox
:on-value-changed="checkAvailability"
text="Available"
/>
</li>
</template>
<script>
import notify from 'devextreme/ui/notify';
import { DxCheckBox } from 'devextreme-vue/check-box';
export default {
components: {
DxCheckBox
},
props: {
product: {
type: Object,
required: true,
default: () => {}
}
},
methods: {
checkAvailability(e) {
const type = e.value ? 'success' : 'error';
const text =
this.product.Name + (e.value ? ' is available' : ' is not available');
notify(text, type, 600);
}
}
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const products = [{
'ID': 4,
'Name': 'SuperLED 50',
'Price': 1600,
'Current_Inventory': 77,
'Backorder': 0,
'Manufacturing': 55,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/4.png'
}, {
'ID': 5,
'Name': 'SuperLED 42',
'Price': 1450,
'Current_Inventory': 445,
'Backorder': 0,
'Manufacturing': 0,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/5.png'
}, {
'ID': 6,
'Name': 'SuperLCD 55',
'Price': 1350,
'Current_Inventory': 345,
'Backorder': 0,
'Manufacturing': 5,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/6.png'
}, {
'ID': 7,
'Name': 'SuperLCD 42',
'Price': 1200,
'Current_Inventory': 210,
'Backorder': 0,
'Manufacturing': 20,
'Category': 'Televisions',
'ImageSrc': '../../../../images/products/7.png'
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<div id="product-list">
<h1>Product List</h1>
<ul>
<li *ngFor="let product of products">
<img [src]="product.ImageSrc" />
<div>{{ product.Name }}</div>
<dx-check-box
text="Available"
(onValueChanged)="checkAvailable($event, product)"
>
</dx-check-box>
</li>
</ul>
<dx-toast [(visible)]="isVisible" [type]="type" [message]="message">
</dx-toast>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxCheckBoxModule, DxToastModule } from 'devextreme-angular';
import { Product, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
products: Product[];
isVisible = false;
type = 'info';
message = '';
constructor(service: Service) {
this.products = service.getProducts();
}
checkAvailable(e, product) {
const type = e.value ? 'success' : 'error';
const text = product.Name + (e.value ? ' is available' : ' is not available');
this.type = type;
this.message = text;
this.isVisible = true;
}
}
@NgModule({
imports: [
BrowserModule,
DxCheckBoxModule,
DxToastModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule {}
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #product-list {
padding: 10px;
}
::ng-deep #product-list ul {
text-align: center;
list-style-type: none;
margin: 20px 0;
}
::ng-deep #product-list ul li {
display: inline-block;
width: 160px;
margin: 10px;
}
::ng-deep #product-list ul li img {
width: 100px;
}
::ng-deep .dx-toast-content {
min-width: 300px;
max-width: 400px;
}
import { Injectable } from '@angular/core';
export class Product {
ID: number;
Name: string;
Price: number;
Current_Inventory: number;
Backorder: number;
Manufacturing: number;
Category: string;
ImageSrc: string;
}
const products: Product[] = [{
ID: 4,
Name: 'SuperLED 50',
Price: 1600,
Current_Inventory: 77,
Backorder: 0,
Manufacturing: 55,
Category: 'Televisions',
ImageSrc: '../../../../images/products/4.png',
}, {
ID: 5,
Name: 'SuperLED 42',
Price: 1450,
Current_Inventory: 445,
Backorder: 0,
Manufacturing: 0,
Category: 'Televisions',
ImageSrc: '../../../../images/products/5.png',
}, {
ID: 6,
Name: 'SuperLCD 55',
Price: 1350,
Current_Inventory: 345,
Backorder: 0,
Manufacturing: 5,
Category: 'Televisions',
ImageSrc: '../../../../images/products/6.png',
}, {
ID: 7,
Name: 'SuperLCD 42',
Price: 1200,
Current_Inventory: 210,
Backorder: 0,
Manufacturing: 20,
Category: 'Televisions',
ImageSrc: '../../../../images/products/7.png',
}];
@Injectable()
export class Service {
getProducts() : Product[] {
return products;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>